# apig

Just a small experiment in replicating the API gateway pattern for microservices.

## Manifest Format

```
service printerfacts
backend https://printerfacts.herokuapp.com
health /index.html
playbook_url https://github.com/Xe/printerfacts/wiki/Playbooks#healthcheck-is-down

twirp (
  public v5 us.xeserv.api.Printerfacts Fact
)
```

```
service ponyapi
backend https://ponyapi.apps.xeserv.us
health /newest

prefix /ponyapi

http (
  public GET /all
  public GET /newest
  public GET /last_aired
  public GET /season/:snum
  public GET /season/:snum/episode/:enum
  public GET /random
  public GET /search
  
  private root:admin GET /_stats
)
```
